/* Video thumbnail/play button */
.video-wrap {
  position: relative;
  transition: all 2s;
}

.fmc-video-wrap {
  width: 100%;
  margin-left: auto;
  margin-right: auto;
}

@media (min-width: 992px) {
  .fmc-video-wrap {
    width: 50%;
  }
}

.video-wrap img:hover {
  cursor: pointer;
}

.video-wrap .play-btn {
  position: absolute;
  max-width: 700px;
  width: 40px;
  height: 40px;
  left: calc(50% - 20px);
  top: calc(50% - 20px);
  line-height: 1;
  text-align: center;
  color: rgba(255, 255, 255, 0.6);
  background-color: rgba(255, 255, 255, 0.3);
  border-radius: 50px;
  border-color: rgba(255, 255, 255, 0.6);
  border-style: none;
  border-width: 4px;
  transition: all 0.2s ease;
  pointer-events: none;
}

.video-wrap:hover .play-btn,
.video-wrap:focus .play-btn {
  color: #fff;
  border-color: #fff;
  background-color: rgba(255, 58, 58, 0.6);
  cursor: pointer;
  pointer-events: none;
  transform: scale(1.1);
}

.play-btn::after {
  display: inline-block;
  font-style: normal;
  font-variant: normal;
  text-rendering: auto;
  -webkit-font-smoothing: antialiased;
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  font-size: 18px;
  content: "\f04b";
  padding-top: 11px;
  padding-left: 4px;
}

/* YouTube modal */
#modal_youtube {
  z-index: 99999999999;
  background-color: #000;
  padding: 0;
  margin: 0;
  top: 0;
  display: none;
}

#modal_youtube .embed-wrapper {
  padding: 0;
  margin: 0;
}

#modal_youtube iframe {
  position: absolute;
  top: 0;
  left: 0;
  padding: 0;
  margin: 0;
  border: none;
  box-shadow: none;
  z-index: 1;
}

#modal_youtube .modal_youtube_footer {
  background-color: #000;
  width: 100vw;
  height: 60px;
  position: fixed;
  bottom: 0;
  left: 0;
  z-index: 3;
}

#modal_youtube .modal_youtube_footer h6 {
  text-overflow: ellipsis;
  font-weight: 600;
  white-space: nowrap;
  overflow: hidden;
}

#modal_youtube .modal_youtube_footer h6 small {
  color: #adb5bd;
  margin-left: 0.5rem;
  font-weight: 800;
  display: inline;
  font-size: 0.75rem;
}

.modal_youtube_title {
  margin-right: 30px;
}

#modal_youtube .close {
  position: fixed;
  top: 0.5rem;
  right: 0;
  margin-right: 20px;
  z-index: 4;
  opacity: 1;
  padding: 0.25rem;
}

#modal_youtube .close:hover {
  cursor: pointer;
  opacity: 0.85;
}

#modal_youtube .close:focus {
  outline: 0;
  box-shadow: 0 0 0 0.2rem rgba(255, 255, 255, 0.25);
}
